Clear saved edits in bulk
curl --request POST \
--url https://api.hyperspell.com/context-documents/tree/edits/clear \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"paths": [
"<string>"
],
"kinds": [
"<string>"
]
}
'import requests
url = "https://api.hyperspell.com/context-documents/tree/edits/clear"
payload = {
"paths": ["<string>"],
"kinds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({paths: ['<string>'], kinds: ['<string>']})
};
fetch('https://api.hyperspell.com/context-documents/tree/edits/clear', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cleared": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Context Documents
Clear saved edits in bulk
Clear active edits in bulk so they no longer apply to future trees.
Content edits continue to override regenerated content until they are cleared.
POST
/
context-documents
/
tree
/
edits
/
clear
Clear saved edits in bulk
Authorizations
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Headers
Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I